Package org.apache.catalina.authenticator

# Class SpnegoAuthenticator.AcceptAction

java.lang.Object
org.apache.catalina.authenticator.SpnegoAuthenticator.AcceptAction

All Implemented Interfaces:
  `PrivilegedExceptionAction<byte[]>`

Enclosing class:
  SpnegoAuthenticator

public static class SpnegoAuthenticator.AcceptAction extends Object implements PrivilegedExceptionAction<byte[]>
This class gets a gss credential via a privileged action.

## Constructor Summary

Constructors
Constructor
Description
`AcceptAction(GSSContext context, byte[] decodedToken)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AcceptAction

public AcceptAction(GSSContext context, byte[] decodedToken)

## Method Details

### run

public byte[] run() throws GSSException

Specified by:
  `run` in interface `PrivilegedExceptionAction<byte[]>`
Throws:
  `GSSException`